# 9. Мутация: асинхронно сгенерировать "ZonesMap"

Сгенерировать "ZonesMap" для "Поля" **асинхронно**.

{% hint style="info" %}
Асинхронный подход ставит задачу (Generate `generateVectorAnalysisMap`) на обработку, и подписка будет получена сразу после завершения обработки.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMapAsync {
  generateVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<placeholder_of_satelliteimage_uuid_2>",
      "<placeholder_of_satelliteimage_uuid_3>"
    ]
    index: NDVI
    numberOfZones :7
    name: "3 Years 2017-2019 (API)"
  }) {    
    uuid 
    fieldUuid
    statusCode  
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/9.-mutaciya-asinkhronno-sgenerirovat-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
